Subject: bug#52232: 29.0.50; Can scroll horizontally with pixel-scroll-precision-mode

From: Po Lu <[email-masked]>
Date: Thu, 02 Dec 2021 11:21:57 +0800

Yuan Fu <[email-masked]> writes:

> I'm not sure if this is only on Mac with its touch pad, but if I enable
> pixel-scroll-precision-mode and mouse-wheel-tilt-scroll, slowly
> scrolling horizontally has no effect. If I scroll very fast, I can get
> the screen to scroll, but scrolling slowly doesn't move the screen. If I
> disable pixel-scroll-precision-mode, both fast and slow scroll works.
>
> To be percise:
>
> (progn (setq mouse-wheel-tilt-scroll t)
>        (pixel-scroll-precision-mode))

pixel-scroll-precision-mode doesn't work when the window is hscrolled
(at present).

I will fix that at some point.